Subject: Re: [Tigers] Dipstick

From: Ron Fraser via Tigers <[email-masked]>
Date: Sun, 1 Mar 2020 22:12:44 -0500

Allan
	Excellent!
C3OZ-6750-B - this is the part # listed with the Scott Drake made dipstick.

The biggest problem I see in the Mustang catalogs is that they mostly do not indicate the length of the dipstick or tube.
The dipstick and tube are matched pairs.

The Tube – C2OZ-6754-A is listed by Ford at 15.83” long
The dipstick is 24.44" shield to end.

Order carefully if you need both.   Look for 260 with generator.

Ron Fraser

-----Original Message-----
From: Tigers <[email-masked]> On Behalf Of Allan Ballard via Tigers
Sent: Sunday, March 01, 2020 4:11 PM
To: Tiger List List <[email-masked]>
Subject: [Tigers] Dipstick

Here’s a couple of pictures of the handle and parts tag of an unused dipstick. The dipstick is about 12 years old. I believe I bought it at NAPA.

_______________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]